package view;

import dao.specification.userDAO;
import dao.userAbstractDAO;
import entities.Users;
import util.Toolset;

import java.util.Scanner;

public class UserView {
    //用户数据库操作
    protected static void userDB(int chose) throws IllegalAccessException {
        int flag;
        Users user;
        Scanner reader = new Scanner(System.in);

        switch (chose) {
            case 0 -> System.exit(0);
            case 1 -> {//@TODO 非换行输入
                userAbstractDAO DML_insert = new userDAO();
                System.out.println("请输入：名字|电话|地址|密码");
                user = new Users(reader.nextLine(), reader.nextLine(), reader.nextLine(), reader.nextLine());
                flag = DML_insert.insert(user);
                System.out.println(flag + "行受影响");
            }
            case 2 -> {
                userAbstractDAO DML_delete = new userDAO();
                user = new Users();

                System.out.println("请输入你要删除的ID:");
                user.setId(reader.nextLong());
                flag = DML_delete.delete(user);

                System.out.println(flag + "行受影响");
            }
            case 3 -> {//@FIXME update没有传值
                userAbstractDAO DML_update = new userDAO();
                user = new Users();
                flag = DML_update.update(user);
                System.out.println(flag + "行受影响");
            }
            case 4 -> {
                userAbstractDAO DQL_all = new userDAO();
                user = new Users();
                //格式化输出
                for (Users item : DQL_all.search(user)) {
                    System.out.println(Toolset.table(Users.class, item));
                }

            }
            case 5 -> {
                userAbstractDAO DQL_ID = new userDAO();
                new Users();
                System.out.println("请输入你要查询的ID:");
                user = DQL_ID.searchID(reader.nextLong());
                //格式化输出
                System.out.println(Toolset.table(Users.class, user));
            }
        }
    }
}
