package view;

import util.Toolset;

import static view.MerchantsView.merchantsDB;
import static view.UserView.userDB;

public class shellUI {
    public static void run() throws IllegalAccessException {

        System.out.println("""
                ------------------------------------------
                -----------------后台管理系统---------------
                ------------------------------------------
                """);
        Chose();
    }

    //选项一
    private static void Chose() throws IllegalAccessException {
        System.out.println("""
                请选择你要进行的功能:
                1.商家管理\t2.用户管理\t0.退出
                """);

        switch (Toolset.option()) {
            case 0 -> System.exit(0);
            //商家
            case 1 -> {
                System.out.println("""
                        请选择你想使用的功能:
                        1.新建商家\t\t2.删除商家\t\t3.更新信息
                        4.查询所有商家\t5.根据ID查询商家\t0.退出
                        """);
                merchantsDB(Toolset.option());
                Chose();
            }
            //用户
            case 2 -> {
                System.out.println("""
                        请选择你想使用的功能:
                        1.新建用户\t\t2.删除用户\t\t3.更新信息
                        4.查询所有用户\t5.根据ID查询用户\t0.退出
                        """);
                userDB(Toolset.option());
                Chose();
            }
        }
    }

}
